Lookup a customer's opt-outs
Return a list of the senders and channels that a person has opted out of, across all channels.
An entry's presence in the optouts array means the person is opted out of that sender/channel. Use the PUT /v1/customers/{customer_id}/optouts endpoint to opt a person out of, or back in to, specific senders.
- Type: stringcustomer
_id requiredThe ID of the customer you want to perform an operation against.
- Type: stringenumid
_type The type of
customer_idyou want to use to reference a person. If you don't provide this parameter, we assume that thecustomer_idin your request is a person'sid. You can useemailandphoneonly if they're enabled as identifiers in your workspace settings; otherwise the request returns400. Referencephonevalues in E.164 format, like+14155552671, and URL-encode the leading+as%2B.values- id
- email
- phone
- cio
_id
- application/json
- 404
The
customer_iddoes not exist. - 429
Your request is over the 10-per-second limit.
curl 'https://api.customer.io/v1/customers/12345/optouts?id_type=id' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"optouts": [
{
"channel": "sms",
"from": "+15551234567"
},
{
"channel": "whatsapp",
"from": "+15559876543"
}
]
}Returns the person's opt-outs across channels.